pub use loaded_file::LoadedFile;

use crate::game::{timer::Timer, GameContext};

mod loaded_file;

pub struct StageVm {
  pub file: LoadedFile,
  pc: usize,
  timer: Timer,
}

impl StageVm {
  pub fn new(file: LoadedFile) -> Self {
    Self {
      file,
      pc: 0,
      timer: Timer::default()
    }
  }

  pub fn update(&mut self, context: &mut GameContext) {
    self.timer.tick();

    
  }
}
