use crate::game::timer::Timer;

pub mod loaded_file;
mod flags;
mod execute;

struct StackFrame {
  pc: usize,
  time: Timer,
  values: Vec<Value>,
}

enum Value {
  Int(i32),
  Float(f32),
}

pub struct Vm {
  call_stack: heapless::Vec<StackFrame, 8>,
  current_frame: StackFrame,

  
}
