{
  fetchFromGitHub,
  rustPlatform,
  git,
  ...
}:
rustPlatform.buildRustPackage rec {
  name = "truth";

  src = fetchFromGitHub {
    owner = "zero318";
    repo = name;
    rev = "6e5e625a6786413282a09b3b7231681939a9ee11";
    hash = "sha256-IxwcO2kBWzsYxuv2PwudiIH9X3l8eooslxYSrc1w0F0=";
    leaveDotGit = true;
  };

  cargoHash = "sha256-3s2l4CExngbiVhFFrqSG7dbgEwdnzuFPg7XO6s9kmVE=";

  patches = [ ./truth-version.patch ];
  doCheck = false;

  buildInputs = [
    git
  ];
}
